Bug 236867 - Remove an unneeded IOKit property
Summary: Remove an unneeded IOKit property
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Misc. (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Brent Fulgham
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-02-18 15:58 PST by Brent Fulgham
Modified: 2022-02-22 09:57 PST (History)
1 user (show)

See Also:


Attachments
Patch (3.82 KB, patch)
2022-02-18 16:03 PST, Brent Fulgham
no flags Details | Formatted Diff | Diff
Patch (2.28 KB, patch)
2022-02-21 08:36 PST, Brent Fulgham
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brent Fulgham 2022-02-18 15:58:44 PST
The relevant frameworks that used the IOPlatformUUID IOKit property have been updated to no longer refer to it. We can now safely remove it.

<rdar://47695155>
Comment 1 Brent Fulgham 2022-02-18 16:03:21 PST
Created attachment 452593 [details]
Patch
Comment 2 Per Arne Vollan 2022-02-18 16:04:41 PST
Comment on attachment 452593 [details]
Patch

R=me.
Comment 3 EWS 2022-02-18 22:51:27 PST
Found 1 new test failure: platform/mac/media/encrypted-media/fps-generateRequest.html
Comment 4 Brent Fulgham 2022-02-20 17:36:45 PST
These test results tell me someone is still using the property. I’ll try just removing from WebContent and see how it goes.
Comment 5 Brent Fulgham 2022-02-21 08:36:26 PST
Created attachment 452739 [details]
Patch
Comment 6 Per Arne Vollan 2022-02-21 14:23:06 PST
Comment on attachment 452739 [details]
Patch

R=me.
Comment 7 EWS 2022-02-22 09:57:13 PST
Committed r290316 (247638@main): <https://commits.webkit.org/247638@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 452739 [details].